/*
Module : LfPragma.h
Purpose: Defines a useful preprocessor macro which can be used with "#pragma message" which 
         automatically includes the filename and line number thus allowing you to double click 
         on it in the output window in VC and be brought to the place where it is (just like 
         the way compiler or linker warnings or errors work). You can use this for example to 
         remind yourself to revisit source code etc etc.
Created: PJN / 09-08-2001
History: None

Copyright (c) 2001 by PJ Naughter.  (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise) 
when your product is released in binary form. You are allowed to modify the source code in any way you want 
except you cannot modify the copyright details at the top of each module. If you want to distribute source 
code with your application, then you are only allowed to distribute versions released by the author. This is 
to maintain a single distribution point for the source code. 

*/

#ifndef __LFPRAGMA_H__
#define __LFPRAGMA_H__



/////////////////////////// Defines ///////////////////////////////////////////


#define PTODO_LINENUMBER_TO_STRING(x) #x
#define PTODO_LINENUMBER(x) PTODO_LINENUMBER_TO_STRING(x)
#define INCLUDE_FILE_AND_LINE(string) __FILE__"(" PTODO_LINENUMBER(__LINE__) "): "string


#endif //__LFPRAGMA_H__